package com.puship.test;

import static org.junit.Assert.fail;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class SendPushMessageByDevice {

	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId,cr);
		
		try {
	
			HashMap<String, Object> map=  new HashMap<String, Object>();
			map.put("Message", "Push message to android from java");
			map.put("Badge", "2");
			map.put("Push", "True");
			map.put("Sound", "Default");
			
			Set<String> devicetosend = new HashSet<String>();
			devicetosend.add("jS0oE8PtHcVarde_7a6ff0f023039299"); //push sent to Android device
			
			map.put("Devices", devicetosend);
			
			JSONObject al= ca.SendPushMessageByDevice(map);
			
			if (al!=null){
				System.out.println(al.get("Error"));
				System.out.println(al.get("Message"));
			} else{
				System.out.println("Error during request");
			}
			
		} catch (Exception e) {
			e.printStackTrace();
			fail("Error during SendPushMessageByDevice");
		}
	}

}
