package com.puship.test;

import static org.junit.Assert.fail;

import java.util.HashMap;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class DeletePushMessage {
	@Test
	public void test() {

		Credentials cr = new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca = new CoreApi(ConfigClass.AppId, cr);

		try {

			HashMap<String, Object> map = new HashMap<String, Object>();
			map.put("PushMessageId", "jS0oE8PtHcVarde_635374694710770000");

			JSONObject al = ca.DeletePushMessage(map);

			if (al != null) {
				if (al.getBoolean("Error") == true)
					System.out.println(al.get("Error"));
					System.out.println(al.get("Message"));

			} else {
				System.out.println("Error during request");
			}

		} catch (Exception e) {
			e.printStackTrace();
			fail("Error during DeletePushMessage");
		}
	}

}
