package com.puship.test;

import static org.junit.Assert.fail;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class SendPushMessage {

	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId,cr);
		
		try {


			HashMap<String, Object> map=  new HashMap<String, Object>();
			map.put("Message", "Push message from java to all wp 2");
			map.put("Badge", "2");
			map.put("Push", "True");
			map.put("Sound", "Default");
			
			map.put("SendIOS", "False");
			map.put("SendAndroid", "False");
			map.put("SendBB", "False");
			map.put("SendWP", "True");	//push sent to WindowsPhone devices

			
			
		  /*map.put("P1Latitude", "40.42163694648697");
			map.put("P1Longitude", "10.299156188964844");
			map.put("P2Latitude", "47.45030563100575");
			map.put("P2Longitude", "15.368927001953125");
			
			
			Calendar c = Calendar.getInstance();
			c.set(2014, 5, 6, 0, 0,0); // June, 07, 2014
			
			map.put("LastPositionDate", c.getTime());
			map.put("LastPositionNumber", "1"); */
			
			
			Set<String> tags = new HashSet<String>();
			tags.add("Virgo");
			
			map.put("Tags", tags);
			
			JSONObject al= ca.SendPushMessage(map);
			
			if (al!=null){
				System.out.println(al.get("Error"));
				System.out.println(al.get("Message"));
			} else{
				System.out.println("Error during request");
			}
			
			 
		} catch (Exception e) {
			e.printStackTrace();
			fail("Error during SendPushMessageByDevice");
		}
	}

}
